html,
body {
  margin: 0;
  padding: 0;
  width: 100%;
  height: 100%;
  background-color: #e7e7e0;
  overscroll-behavior: none;
  box-sizing: border-box;
  overflow-x: hidden;
}
* {
  color: rgb(90, 99, 136);
  margin: 0;
  padding: 0;
}
body {
  padding: 30px 20px;
}
.undoBtnContainer {
  display: flex;
  justify-content: flex-end;
}
th {
  color: white;
  background-color: rgb(90, 99, 136);
}
.show {
  display: flex;
}
.notShow {
  display: none;
}
.unitBox {
  margin-bottom: 5px;
}
#workoutInput:focus {
  outline: none;
}
#workoutInput {
  padding-left: 5px;
  min-width: 100px;
}
#workoutSelect,
#workoutSubmitBtn {
  margin-left: 5px;
}
#workoutSubmitBtn {
  border: 2px solid rgba(90, 99, 136, 0.765);
  font-weight: 600;
  padding: 5px 10px;
  color: rgba(90, 99, 136);
}
#undo {
  align-self: flex-end;
  appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none;
  border: 2px solid rgba(90, 99, 136, 0.765);
  padding: 0 5px;
  height: 40px;
  font-weight: 600;
  margin-top: 10px;
}
.table {
  background-color: #ffffff2c;
  width: 100%;
  border: 1px solid #444444;
  box-sizing: border-box;
  border: 1px solid #444444;
  margin-top: 10px;
}
.table th {
  padding: 5px 10px;
  white-space: nowrap;
}
.table td {
  border: 1px solid #60141430;
  text-align: center;
  background-color: rgb(90, 99, 136);
  padding: 5px 10px;
}
.count,
.totalPerSet {
  color: white;
  font-weight: 600;
}
.weight,
.reps {
  width: 100%;
  border: 1px solid rgb(46, 49, 62);
  box-sizing: border-box;
  font-weight: 600;
  padding: 5px 0;
  text-align: center;
}
.weight:focus,
.reps:focus {
  outline-style: none;
}
select {
  outline-style: none;
}
.buttons_container {
  margin-top: 10px;
  width: 100%;
  display: flex;
}
.buttons_container input:not(:last-child) {
  margin-right: 10px;
}
.buttons_container input {
  appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none;
  /* background-color: rgb(90, 99, 136); */
  border: 2px solid rgba(90, 99, 136, 0.765);
  min-width: 30%;
  width: 100%;
  padding: 0 5px;
  height: 40px;
  font-weight: 600;
}
.buttons_container input:not() input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button,
#undo::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}
.result_container {
  margin-top: 10px;
  width: 100%;
  height: 60px;
  display: flex;
  align-items: center;
  padding: 5px 10px;
  line-height: 1.7;
}
#modal {
  width: 100%;
  height: 100%;

  align-items: center;
  justify-content: center;
  background-color: rgba(67, 68, 60, 0.712);
  color: rgb(191, 0, 255);
  font-weight: 900;
  position: absolute;
  top: 0;
  left: 0;
}
#modal__header {
  position: absolute;
  top: 0;
  width: 100%;
  height: 30px;
  border-radius: 10px 10px 0 0;
  background-color: rgba(90, 99, 136, 0.765);
  display: flex;
  align-items: center;
  justify-content: flex-end;
}
#modal__header .icon {
  color: #e7e7e0;
  background-color: rgb(226, 139, 255);
  border-radius: 100%;
  padding: 5px;
  margin: 10px;
  width: 10px;
  height: 10px;
  display: flex;
  justify-content: center;
  align-items: center;
}
#modal__container {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 20px;
  width: 60%;
  height: 100px;
  background-color: #e7e7e0;
  border-radius: 10px;
  color: rgba(90, 99, 136, 0.765);
  font-size: 14px;
}
.pop {
  animation-name: modalPops;
  animation-duration: 2s;
  animation-timing-function: ease-out;
}
@keyframes modalPops {
  0% {
    top: 0;
  }
  3% {
    top: 0;
  }
  97% {
    top: 0;
  }
  100% {
    top: 250px;
  }
}
